Public Class frmListaPropuestasInversion
    Dim CapaNegociosGeneral As New CNGeneral
    Dim CapaNegociosPropuestas As New CNPropuestasInversion

    Private Sub frmListaPropuestasInversion_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        Call CargarPropuestasInversion()
        Call CargarEmpresas()

    End Sub

    Sub CargarPropuestasInversion()

        dgvPropuestasDeInversion.DataSource = CapaNegociosPropuestas.ListaPropuestasInversion.Tables("PropuestasDeInversion")

    End Sub

    Sub CargarEmpresas()
        Me.cboEmpresas.DataSource = CapaNegociosGeneral.ListaEmpresas
        Me.cboEmpresas.DisplayMember = "Nombre"
        Me.cboEmpresas.ValueMember = "Codigo"
        Me.cboEmpresas.SelectedIndex = -1
    End Sub

    Function getCodigo() As String
        Return Me.txtCodigo.Text
    End Function

    Function getNombre() As String
        Return Me.txtNombre.Text
    End Function

    Function getValor() As String
        Return Me.txtValor.Text
    End Function

    Function getEmpresa() As String
        Return Me.cboEmpresas.SelectedValue
    End Function


End Class